# Class TCefBrowserViewDelegateOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFBrowserViewDelegate

## Declaration

`type TCefBrowserViewDelegateOwn = class(TCefViewDelegateOwn, ICefBrowserViewDelegate)`

## Description

Implement this interface to handle BrowserView events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_delegate_capi.h">CEF source file: /include/capi/views/cef_browser_view_delegate_capi.h (cef_browser_view_delegate_t))

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefViewDelegateOwn
- TCefBrowserViewDelegateOwn

## Overview

### Methods

| `procedure OnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser); virtual;`
| `procedure OnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser); virtual;`
| `procedure OnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate); virtual;`
| `procedure OnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean); virtual;`
| `procedure OnGetChromeToolbarType(const browser_view: ICefBrowserView; var aResult : TCefChromeToolbarType); virtual;`
| `procedure OnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); virtual;`
| `procedure OnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean); virtual;`
| `procedure OnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle); virtual;`
| `procedure OnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); virtual;`
| `procedure InitializeCEFMethods; override;`
| `constructor Create; override;`

## Description

### Methods

| `procedure OnBrowserCreated(const browser_view: ICefBrowserView; const browser: ICefBrowser); virtual;`
Called when |browser| associated with |browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() is called for |browser| and before OnPopupBrowserViewCreated() is called for |browser|'s parent delegate if |browser| is a popup.

| `procedure OnBrowserDestroyed(const browser_view: ICefBrowserView; const browser: ICefBrowser); virtual;`
Called when |browser| associated with |browser_view| is destroyed. Release all references to |browser| and do not attempt to execute any functions on |browser| after this callback returns. This function will be called before ICefLifeSpanHandler.OnBeforeClose() is called for |browser|.

| `procedure OnGetDelegateForPopupBrowserView(const browser_view: ICefBrowserView; const settings: TCefBrowserSettings; const client: ICefClient; is_devtools: boolean; var aResult : ICefBrowserViewDelegate); virtual;`
Called before a new popup BrowserView is created. The popup originated from |browser_view|. |settings| and |client| are the values returned from ICefLifeSpanHandler.OnBeforePopup(). |is_devtools| will be true (1) if the popup will be a DevTools browser. Return the delegate that will be used for the new popup BrowserView.

| `procedure OnPopupBrowserViewCreated(const browser_view, popup_browser_view: ICefBrowserView; is_devtools: boolean; var aResult : boolean); virtual;`
Called after |popup_browser_view| is created. This function will be called after ICefLifeSpanHandler.OnAfterCreated() and OnBrowserCreated() are called for the new popup browser. The popup originated from |browser_view|. |is_devtools| will be true (1) if the popup is a DevTools browser. Optionally add |popup_browser_view| to the views hierarchy yourself and return true (1). Otherwise return false (0) and a default ICefWindow will be created for the popup.

| `procedure OnGetChromeToolbarType(const browser_view: ICefBrowserView; var aResult : TCefChromeToolbarType); virtual;`
Returns the Chrome toolbar type that will be available via ICefBrowserView.GetChromeToolbar(). See that function for related documentation.

| `procedure OnUseFramelessWindowForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); virtual;`
Return true (1) to create frameless windows for Document picture-in- picture popups. Content in frameless windows should specify draggable regions using "-webkit-app-region: drag" CSS.

| `procedure OnGestureCommand(const browser_view: ICefBrowserView; gesture_command: TCefGestureCommand; var aResult : boolean); virtual;`
Called when |browser_view| receives a gesture command. Return true (1) to handle (or disable) a |gesture_command| or false (0) to propagate the gesture to the browser for default handling. With Chrome style these commands can also be handled via ICefCommandHandler.OnChromeCommand.

| `procedure OnGetBrowserRuntimeStyle(var aResult : TCefRuntimeStyle); virtual;`
Optionally change the runtime style for this BrowserView. See TCefRuntimeStyle documentation for details.

| `procedure OnAllowMoveForPictureInPicture(const browser_view: ICefBrowserView; var aResult: boolean); virtual;`
Return true (1) to allow the use of JavaScript moveTo/By() and resizeTo/By() (without user activation) with Document picture-in-picture popups.

| `procedure InitializeCEFMethods; override;`
Links the methods in the internal CEF record data pointer with the methods in this class.

| `constructor Create; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.